Index: /NEMO/trunk/src/OCE/SBC/sbccpl.F90
===================================================================
--- /NEMO/trunk/src/OCE/SBC/sbccpl.F90	(revision 14071)
+++ /NEMO/trunk/src/OCE/SBC/sbccpl.F90	(revision 14072)
@@ -1333,41 +1335,41 @@
       IF( srcv(jpr_co2)%laction )   atm_co2(:,:) = frcv(jpr_co2)%z3(:,:,1)
       !
-      !                                                      ! ========================= ! 
-      !                                                      ! Mean Sea Level Pressure   !   (taum) 
-      !                                                      ! ========================= ! 
-      IF( srcv(jpr_mslp)%laction ) THEN                    ! UKMO SHELF effect of atmospheric pressure on SSH 
-          IF( kt /= nit000 )   ssh_ibb(:,:) = ssh_ib(:,:)    !* Swap of ssh_ib fields 
-
-          r1_grau = 1.e0 / (grav * rho0)               !* constant for optimization 
-          ssh_ib(:,:) = - ( frcv(jpr_mslp)%z3(:,:,1) - rpref ) * r1_grau    ! equivalent ssh (inverse barometer) 
-          apr   (:,:) =     frcv(jpr_mslp)%z3(:,:,1)                         !atmospheric pressure 
-    
-          IF( kt == nit000 ) ssh_ibb(:,:) = ssh_ib(:,:)  ! correct this later (read from restart if possible) 
-      ENDIF 
+      !                                                      ! ========================= !
+      !                                                      ! Mean Sea Level Pressure   !   (taum)
+      !                                                      ! ========================= !
+      IF( srcv(jpr_mslp)%laction ) THEN                    ! UKMO SHELF effect of atmospheric pressure on SSH
+          IF( kt /= nit000 )   ssh_ibb(:,:) = ssh_ib(:,:)    !* Swap of ssh_ib fields
+
+          r1_grau = 1.e0 / (grav * rho0)               !* constant for optimization
+          ssh_ib(:,:) = - ( frcv(jpr_mslp)%z3(:,:,1) - rpref ) * r1_grau    ! equivalent ssh (inverse barometer)
+          apr   (:,:) =     frcv(jpr_mslp)%z3(:,:,1)                         !atmospheric pressure
+
+          IF( kt == nit000 ) ssh_ibb(:,:) = ssh_ib(:,:)  ! correct this later (read from restart if possible)
+      ENDIF
       !
       IF( ln_sdw ) THEN  ! Stokes Drift correction activated
-      !                                                      ! ========================= ! 
+      !                                                      ! ========================= !
       !                                                      !       Stokes drift u      !
-      !                                                      ! ========================= ! 
+      !                                                      ! ========================= !
          IF( srcv(jpr_sdrftx)%laction ) ut0sd(:,:) = frcv(jpr_sdrftx)%z3(:,:,1)
       !
-      !                                                      ! ========================= ! 
+      !                                                      ! ========================= !
       !                                                      !       Stokes drift v      !
-      !                                                      ! ========================= ! 
+      !                                                      ! ========================= !
          IF( srcv(jpr_sdrfty)%laction ) vt0sd(:,:) = frcv(jpr_sdrfty)%z3(:,:,1)
       !
-      !                                                      ! ========================= ! 
+      !                                                      ! ========================= !
       !                                                      !      Wave mean period     !
-      !                                                      ! ========================= ! 
+      !                                                      ! ========================= !
          IF( srcv(jpr_wper)%laction ) wmp(:,:) = frcv(jpr_wper)%z3(:,:,1)
       !
-      !                                                      ! ========================= ! 
+      !                                                      ! ========================= !
       !                                                      !  Significant wave height  !
-      !                                                      ! ========================= ! 
+      !                                                      ! ========================= !
          IF( srcv(jpr_hsig)%laction ) hsw(:,:) = frcv(jpr_hsig)%z3(:,:,1)
-      ! 
-      !                                                      ! ========================= ! 
+      !
+      !                                                      ! ========================= !
       !                                                      !    Vertical mixing Qiao   !
-      !                                                      ! ========================= ! 
+      !                                                      ! ========================= !
          IF( srcv(jpr_wnum)%laction .AND. ln_zdfswm ) wnum(:,:) = frcv(jpr_wnum)%z3(:,:,1)
 
@@ -1378,12 +1380,12 @@
          ENDIF
       ENDIF
-      !                                                      ! ========================= ! 
+      !                                                      ! ========================= !
       !                                                      ! Stress adsorbed by waves  !
-      !                                                      ! ========================= ! 
+      !                                                      ! ========================= !
       IF( srcv(jpr_wstrf)%laction .AND. ln_tauoc )  tauoc_wave(:,:) = frcv(jpr_wstrf)%z3(:,:,1)
       !
-      !                                                      ! ========================= ! 
+      !                                                      ! ========================= !
       !                                                      !   Wave drag coefficient   !
-      !                                                      ! ========================= ! 
+      !                                                      ! ========================= !
       IF( srcv(jpr_wdrag)%laction .AND. ln_cdgw )   cdn_wave(:,:) = frcv(jpr_wdrag)%z3(:,:,1)
       !
@@ -1404,5 +1406,5 @@
       IF( srcv(jpr_twox)%laction .AND. ln_taw )     twox(:,:) = frcv(jpr_twox)%z3(:,:,1)
       IF( srcv(jpr_twoy)%laction .AND. ln_taw )     twoy(:,:) = frcv(jpr_twoy)%z3(:,:,1)
-      !                                                      
+      !
       !                                                      ! ========================= !
       !                                                      !    wave TKE flux at sfc   !
@@ -1434,5 +1436,5 @@
          CALL iom_put( 'sss_m', sss_m )
       ENDIF
-      !                                               
+      !
       !                                                      ! ================== !
       !                                                      !        SST         !
@@ -1480,5 +1482,5 @@
          CALL iom_put( 'frq_m', frq_m )
       ENDIF
-      
+
       !                                                      ! ========================= !
       IF( k_ice <= 1 .AND. MOD( kt-1, k_fsbc ) == 0 ) THEN   !  heat & freshwater fluxes ! (Ocean only case)
@@ -1502,6 +1504,6 @@
          IF( srcv(jpr_rnf)%laction )     rnf(:,:) = frcv(jpr_rnf)%z3(:,:,1)
          IF( srcv(jpr_cal)%laction )     zemp(:,:) = zemp(:,:) - frcv(jpr_cal)%z3(:,:,1)
- 
-         IF( srcv(jpr_icb)%laction )  THEN 
+
+         IF( srcv(jpr_icb)%laction )  THEN
              fwficb(:,:) = frcv(jpr_icb)%z3(:,:,1)
              rnf(:,:)    = rnf(:,:) + fwficb(:,:)   ! iceberg added to runfofs
@@ -1510,7 +1512,7 @@
          ! ice shelf fwf
          IF( srcv(jpr_isf)%laction )  THEN
-            fwfisf_oasis(:,:) = - frcv(jpr_isf)%z3(:,:,1)  ! fresh water flux from the isf (fwfisf <0 mean melting)  
+            fwfisf_oasis(:,:) = - frcv(jpr_isf)%z3(:,:,1)  ! fresh water flux from the isf (fwfisf <0 mean melting)
          END IF
-        
+
          IF( ln_mixcpl ) THEN   ;   emp(:,:) = emp(:,:) * xcplmask(:,:,0) + zemp(:,:) * zmsk(:,:)
          ELSE                   ;   emp(:,:) =                              zemp(:,:)
@@ -1554,16 +1556,16 @@
       !
    END SUBROUTINE sbc_cpl_rcv
-   
-
-   SUBROUTINE sbc_cpl_ice_tau( p_taui, p_tauj )     
+
+
+   SUBROUTINE sbc_cpl_ice_tau( p_taui, p_tauj )
       !!----------------------------------------------------------------------
       !!             ***  ROUTINE sbc_cpl_ice_tau  ***
       !!
-      !! ** Purpose :   provide the stress over sea-ice in coupled mode 
+      !! ** Purpose :   provide the stress over sea-ice in coupled mode
       !!
       !! ** Method  :   transform the received stress from the atmosphere into
       !!             an atmosphere-ice stress in the (i,j) ocean referencial
       !!             and at the velocity point of the sea-ice model:
-      !!                'C'-grid : i- (j-) components given at U- (V-) point 
+      !!                'C'-grid : i- (j-) components given at U- (V-) point
       !!
       !!                The received stress are :
@@ -1574,14 +1576,14 @@
       !!                 - given at U- and V-point, resp.   if received on 2 grids
       !!                        or at a same point (T or I) if received on 1 grid
-      !!                Therefore and if necessary, they are successively 
-      !!             processed in order to obtain them 
-      !!                 first  as  2 components on the sphere 
+      !!                Therefore and if necessary, they are successively
+      !!             processed in order to obtain them
+      !!                 first  as  2 components on the sphere
       !!                 second as  2 components oriented along the local grid
-      !!                 third  as  2 components on the ice grid point 
+      !!                 third  as  2 components on the ice grid point
       !!
-      !!                Except in 'oce and ice' case, only one vector stress field 
+      !!                Except in 'oce and ice' case, only one vector stress field
       !!             is received. It has already been processed in sbc_cpl_rcv
       !!             so that it is now defined as (i,j) components given at U-
-      !!             and V-points, respectively.  
+      !!             and V-points, respectively.
       !!
       !! ** Action  :   return ptau_i, ptau_j, the stress over the ice
@@ -1593,8 +1595,8 @@
       INTEGER ::   itx      ! index of taux over ice
       REAL(wp)                     ::   zztmp1, zztmp2
-      REAL(wp), DIMENSION(jpi,jpj) ::   ztx, zty 
+      REAL(wp), DIMENSION(jpi,jpj) ::   ztx, zty
       !!----------------------------------------------------------------------
       !
-      IF( srcv(jpr_itx1)%laction ) THEN   ;   itx =  jpr_itx1   
+      IF( srcv(jpr_itx1)%laction ) THEN   ;   itx =  jpr_itx1
       ELSE                                ;   itx =  jpr_otx1
       ENDIF
@@ -1605,5 +1607,5 @@
          IF( srcv(jpr_itx1)%laction ) THEN                      !   ice stress received   !
             !                                                   ! ======================= !
-            !  
+            !
             IF( TRIM( sn_rcv_tau%clvref ) == 'cartesian' ) THEN            ! 2 components on the sphere
                !                                                       ! (cartesian to spherical -> 3 to 2 components)
@@ -1624,9 +1626,9 @@
             IF( TRIM( sn_rcv_tau%clvor ) == 'eastward-northward' ) THEN   ! 2 components oriented along the local grid
                !                                                       ! (geographical to local grid -> rotate the components)
-               CALL rot_rep( frcv(jpr_itx1)%z3(:,:,1), frcv(jpr_ity1)%z3(:,:,1), srcv(jpr_itx1)%clgrid, 'en->i', ztx )   
+               CALL rot_rep( frcv(jpr_itx1)%z3(:,:,1), frcv(jpr_ity1)%z3(:,:,1), srcv(jpr_itx1)%clgrid, 'en->i', ztx )
                IF( srcv(jpr_itx2)%laction ) THEN
-                  CALL rot_rep( frcv(jpr_itx2)%z3(:,:,1), frcv(jpr_ity2)%z3(:,:,1), srcv(jpr_itx2)%clgrid, 'en->j', zty )   
+                  CALL rot_rep( frcv(jpr_itx2)%z3(:,:,1), frcv(jpr_ity2)%z3(:,:,1), srcv(jpr_itx2)%clgrid, 'en->j', zty )
                ELSE
-                  CALL rot_rep( frcv(jpr_itx1)%z3(:,:,1), frcv(jpr_ity1)%z3(:,:,1), srcv(jpr_itx1)%clgrid, 'en->j', zty )  
+                  CALL rot_rep( frcv(jpr_itx1)%z3(:,:,1), frcv(jpr_ity1)%z3(:,:,1), srcv(jpr_itx1)%clgrid, 'en->j', zty )
                ENDIF
                frcv(jpr_itx1)%z3(:,:,1) = ztx(:,:)      ! overwrite 1st component on the 1st grid
@@ -1643,5 +1645,5 @@
          !                                                      !     put on ice grid     !
          !                                                      ! ======================= !
-         !    
+         !
          !                                                  j+1   j     -----V---F
          ! ice stress on ice velocity point                              !       |
@@ -1658,5 +1660,5 @@
          CASE( 'T' )
             DO_2D( 0, 0, 0, 0 )                    ! T ==> (U,V)
-               ! take care of the land-sea mask to avoid "pollution" of coastal stress. p[uv]taui used in frazil and  rheology 
+               ! take care of the land-sea mask to avoid "pollution" of coastal stress. p[uv]taui used in frazil and  rheology
                zztmp1 = 0.5_wp * ( 2. - umask(ji,jj,1) ) * MAX( tmask(ji,jj,1),tmask(ji+1,jj  ,1) )
                zztmp2 = 0.5_wp * ( 2. - vmask(ji,jj,1) ) * MAX( tmask(ji,jj,1),tmask(ji  ,jj+1,1) )
@@ -1666,9 +1668,9 @@
             CALL lbc_lnk_multi( 'sbccpl', p_taui, 'U',  -1., p_tauj, 'V',  -1. )
          END SELECT
-         
+
       ENDIF
       !
    END SUBROUTINE sbc_cpl_ice_tau
-   
+
 
    SUBROUTINE sbc_cpl_ice_flx( picefr, palbi, psst, pist, phs, phi )
@@ -1679,14 +1681,14 @@
       !!
       !! ** Method  :   transform the fields received from the atmosphere into
-      !!             surface heat and fresh water boundary condition for the 
+      !!             surface heat and fresh water boundary condition for the
       !!             ice-ocean system. The following fields are provided:
-      !!               * total non solar, solar and freshwater fluxes (qns_tot, 
+      !!               * total non solar, solar and freshwater fluxes (qns_tot,
       !!             qsr_tot and emp_tot) (total means weighted ice-ocean flux)
       !!             NB: emp_tot include runoffs and calving.
       !!               * fluxes over ice (qns_ice, qsr_ice, emp_ice) where
       !!             emp_ice = sublimation - solid precipitation as liquid
-      !!             precipitation are re-routed directly to the ocean and 
+      !!             precipitation are re-routed directly to the ocean and
       !!             calving directly enter the ocean (runoffs are read but included in trasbc.F90)
-      !!               * solid precipitation (sprecip), used to add to qns_tot 
+      !!               * solid precipitation (sprecip), used to add to qns_tot
       !!             the heat lost associated to melting solid precipitation
       !!             over the ocean fraction.
@@ -1720,9 +1722,9 @@
       !!                   emp_ice           ice sublimation - solid precipitation over the ice
       !!                   dqns_ice          d(non-solar heat flux)/d(Temperature) over the ice
-      !!                   sprecip           solid precipitation over the ocean  
+      !!                   sprecip           solid precipitation over the ocean
       !!----------------------------------------------------------------------
       REAL(wp), INTENT(in)   , DIMENSION(:,:)             ::   picefr     ! ice fraction                [0 to 1]
       !                                                   !!           ! optional arguments, used only in 'mixed oce-ice' case or for Met-Office coupling
-      REAL(wp), INTENT(in)   , DIMENSION(:,:,:), OPTIONAL ::   palbi      ! all skies ice albedo 
+      REAL(wp), INTENT(in)   , DIMENSION(:,:,:), OPTIONAL ::   palbi      ! all skies ice albedo
       REAL(wp), INTENT(in)   , DIMENSION(:,:  ), OPTIONAL ::   psst       ! sea surface temperature     [Celsius]
       REAL(wp), INTENT(inout), DIMENSION(:,:,:), OPTIONAL ::   pist       ! ice surface temperature     [Kelvin] => inout for Met-Office
@@ -1761,5 +1763,5 @@
          zsprecip(:,:) = frcv(jpr_ievp)%z3(:,:,1) - frcv(jpr_semp)%z3(:,:,1)
          ztprecip(:,:) = frcv(jpr_semp)%z3(:,:,1) - frcv(jpr_sbpr)%z3(:,:,1) + zsprecip(:,:)
-      CASE( 'none'      )       ! Not available as for now: needs additional coding below when computing zevap_oce 
+      CASE( 'none'      )       ! Not available as for now: needs additional coding below when computing zevap_oce
       !                         ! since fields received are not defined with none option
          CALL ctl_stop( 'STOP', 'sbccpl/sbc_cpl_ice_flx: some fields are not defined. Change sn_rcv_emp value in namelist namsbc_cpl' )
@@ -1808,5 +1810,5 @@
       ! zsnw = snow fraction over ice after wind blowing (=picefr if no blowing)
       zsnw(:,:) = 0._wp   ;   CALL ice_var_snwblow( ziceld, zsnw )
-      
+
       ! --- evaporation minus precipitation corrected (because of wind blowing on snow) --- !
       zemp_ice(:,:) = zemp_ice(:,:) + zsprecip(:,:) * ( picefr(:,:) - zsnw(:,:) )  ! emp_ice = A * sublimation - zsnw * sprecip
@@ -1819,5 +1821,5 @@
       ! therefore, sublimation is not redistributed over the ice categories when no subgrid scale fluxes are provided by atm.
       zdevap_ice(:,:) = 0._wp
-      
+
       ! --- Continental fluxes --- !
       IF( srcv(jpr_rnf)%laction ) THEN   ! runoffs (included in emp later on)
@@ -1833,5 +1835,5 @@
       ENDIF
       IF( srcv(jpr_isf)%laction ) THEN   ! iceshelf (fwfisf <0 mean melting)
-        fwfisf_oasis(:,:) = - frcv(jpr_isf)%z3(:,:,1)  
+        fwfisf_oasis(:,:) = - frcv(jpr_isf)%z3(:,:,1)
       ENDIF
 
@@ -1849,5 +1851,5 @@
          emp_tot (:,:)   = zemp_tot (:,:)
          emp_ice (:,:)   = zemp_ice (:,:)
-         emp_oce (:,:)   = zemp_oce (:,:)     
+         emp_oce (:,:)   = zemp_oce (:,:)
          sprecip (:,:)   = zsprecip (:,:)
          tprecip (:,:)   = ztprecip (:,:)
@@ -1896,5 +1898,5 @@
       IF( iom_use('snowpre') )       CALL iom_put( 'snowpre'     , sprecip(:,:)                                          )  ! Snow
       IF( iom_use('precip') )        CALL iom_put( 'precip'      , tprecip(:,:)                                          )  ! total  precipitation
-      IF( iom_use('rain') )          CALL iom_put( 'rain'        , tprecip(:,:) - sprecip(:,:)                           )  ! liquid precipitation 
+      IF( iom_use('rain') )          CALL iom_put( 'rain'        , tprecip(:,:) - sprecip(:,:)                           )  ! liquid precipitation
       IF( iom_use('snow_ao_cea') )   CALL iom_put( 'snow_ao_cea' , sprecip(:,:) * ( 1._wp - zsnw(:,:) )                  )  ! Snow over ice-free ocean  (cell average)
       IF( iom_use('snow_ai_cea') )   CALL iom_put( 'snow_ai_cea' , sprecip(:,:) *           zsnw(:,:)                    )  ! Snow over sea-ice         (cell average)
@@ -1912,5 +1914,5 @@
          ! For Met Office sea ice non-solar fluxes are already delt with by JULES so setting to zero
          ! here so the only flux is the ocean only one.
-         zqns_ice(:,:,:) = 0._wp 
+         zqns_ice(:,:,:) = 0._wp
       CASE( 'conservative' )     ! the required fields are directly provided
          zqns_tot(:,:) = frcv(jpr_qnsmix)%z3(:,:,1)
@@ -1926,5 +1928,5 @@
          IF( TRIM(sn_rcv_qns%clcat) == 'yes' ) THEN
             DO jl=1,jpl
-               zqns_tot(:,:   ) = zqns_tot(:,:) + a_i(:,:,jl) * frcv(jpr_qnsice)%z3(:,:,jl)   
+               zqns_tot(:,:   ) = zqns_tot(:,:) + a_i(:,:,jl) * frcv(jpr_qnsice)%z3(:,:,jl)
                zqns_ice(:,:,jl) = frcv(jpr_qnsice)%z3(:,:,jl)
             ENDDO
@@ -1952,5 +1954,5 @@
          ENDIF
       END SELECT
-      !                                     
+      !
       ! --- calving (removed from qns_tot) --- !
       IF( srcv(jpr_cal)%laction )   zqns_tot(:,:) = zqns_tot(:,:) - frcv(jpr_cal)%z3(:,:,1) * rLfus  ! remove latent heat of calving
@@ -1959,5 +1961,5 @@
       IF( srcv(jpr_icb)%laction )   zqns_tot(:,:) = zqns_tot(:,:) - frcv(jpr_icb)%z3(:,:,1) * rLfus  ! remove latent heat of iceberg melting
 
-#if defined key_si3      
+#if defined key_si3
       ! --- non solar flux over ocean --- !
       !         note: ziceld cannot be = 0 since we limit the ice concentration to amax
@@ -1970,5 +1972,5 @@
       ENDWHERE
       ! Heat content per unit mass of rain (J/kg)
-      zcptrain(:,:) = rcp * ( SUM( (tn_ice(:,:,:) - rt0) * a_i(:,:,:), dim=3 ) + sst_m(:,:) * ziceld(:,:) ) 
+      zcptrain(:,:) = rcp * ( SUM( (tn_ice(:,:,:) - rt0) * a_i(:,:,:), dim=3 ) + sst_m(:,:) * ziceld(:,:) )
 
       ! --- enthalpy of snow precip over ice in J/m3 (to be used in 1D-thermo) --- !
@@ -1987,9 +1989,9 @@
 !!    zqemp_ice(:,:) = -   frcv(jpr_ievp)%z3(:,:,1)        * picefr(:,:)      *   zcptsnw (:,:)   &        ! ice evap
 !!       &             +   zsprecip(:,:)                   * zsnw             * zqprec_ice(:,:) * r1_rhos  ! solid precip over ice
-      
+
       ! --- total non solar flux (including evap/precip) --- !
       zqns_tot(:,:) = zqns_tot(:,:) + zqemp_ice(:,:) + zqemp_oce(:,:)
 
-      ! --- in case both coupled/forced are active, we must mix values --- ! 
+      ! --- in case both coupled/forced are active, we must mix values --- !
       IF( ln_mixcpl ) THEN
          qns_tot(:,:) = qns_tot(:,:) * xcplmask(:,:,0) + zqns_tot(:,:)* zmsk(:,:)
@@ -2015,10 +2017,10 @@
       zcptsnw (:,:) = zcptn(:,:)
       zcptrain(:,:) = zcptn(:,:)
-      
+
       ! clem: this formulation is certainly wrong... but better than it was...
       zqns_tot(:,:) = zqns_tot(:,:)                             &          ! zqns_tot update over free ocean with:
          &          - (  ziceld(:,:) * zsprecip(:,:) * rLfus )  &          ! remove the latent heat flux of solid precip. melting
          &          - (  zemp_tot(:,:)                          &          ! remove the heat content of mass flux (assumed to be at SST)
-         &             - zemp_ice(:,:) ) * zcptn(:,:) 
+         &             - zemp_ice(:,:) ) * zcptn(:,:)
 
      IF( ln_mixcpl ) THEN
@@ -2045,5 +2047,5 @@
       IF( iom_use('hflx_snow_ao_cea') ) CALL iom_put('hflx_snow_ao_cea', sprecip(:,:) * ( zcptsnw(:,:) - rLfus ) &
            &                                                              * ( 1._wp - zsnw(:,:) )                  )               ! heat flux from snow (over ocean)
-      IF( iom_use('hflx_snow_ai_cea') ) CALL iom_put('hflx_snow_ai_cea', sprecip(:,:) * ( zcptsnw(:,:) - rLfus ) & 
+      IF( iom_use('hflx_snow_ai_cea') ) CALL iom_put('hflx_snow_ai_cea', sprecip(:,:) * ( zcptsnw(:,:) - rLfus ) &
            &                                                              *           zsnw(:,:)                    )               ! heat flux from snow (over ice)
       ! note: hflx for runoff and iceshelf are done in sbcrnf and sbcisf resp.
@@ -2071,5 +2073,5 @@
          IF( TRIM(sn_rcv_qsr%clcat) == 'yes' ) THEN
             DO jl = 1, jpl
-               zqsr_tot(:,:   ) = zqsr_tot(:,:) + a_i(:,:,jl) * frcv(jpr_qsrice)%z3(:,:,jl)   
+               zqsr_tot(:,:   ) = zqsr_tot(:,:) + a_i(:,:,jl) * frcv(jpr_qsrice)%z3(:,:,jl)
                zqsr_ice(:,:,jl) = frcv(jpr_qsrice)%z3(:,:,jl)
             END DO
@@ -2098,5 +2100,5 @@
             END DO
          ENDIF
-      CASE( 'none'      )       ! Not available as for now: needs additional coding  
+      CASE( 'none'      )       ! Not available as for now: needs additional coding
       !                         ! since fields received, here zqsr_tot,  are not defined with none option
          CALL ctl_stop( 'STOP', 'sbccpl/sbc_cpl_ice_flx: some fields are not defined. Change sn_rcv_qsr value in namelist namsbc_cpl' )
@@ -2142,8 +2144,8 @@
             ENDDO
          ENDIF
-      CASE( 'none' ) 
+      CASE( 'none' )
          zdqns_ice(:,:,:) = 0._wp
       END SELECT
-      
+
       IF( ln_mixcpl ) THEN
          DO jl=1,jpl
@@ -2154,5 +2156,5 @@
       ENDIF
 
-#if defined key_si3      
+#if defined key_si3
       !                                                      ! ========================= !
       SELECT CASE( TRIM( sn_rcv_iceflx%cldes ) )             !  ice topmelt and botmelt  !
@@ -2186,10 +2188,10 @@
             ztri(:,:) = 0.18 * ( 1.0 - cloud_fra(:,:) ) + 0.35 * cloud_fra(:,:)  ! surface transmission when hi>10cm
             DO jl = 1, jpl
-               WHERE    ( phs(:,:,jl) <= 0._wp .AND. phi(:,:,jl) <  0.1_wp )       ! linear decrease from hi=0 to 10cm  
+               WHERE    ( phs(:,:,jl) <= 0._wp .AND. phi(:,:,jl) <  0.1_wp )       ! linear decrease from hi=0 to 10cm
                   zqtr_ice_top(:,:,jl) = zqsr_ice(:,:,jl) * ( ztri(:,:) + ( 1._wp - ztri(:,:) ) * ( 1._wp - phi(:,:,jl) * 10._wp ) )
                ELSEWHERE( phs(:,:,jl) <= 0._wp .AND. phi(:,:,jl) >= 0.1_wp )       ! constant (ztri) when hi>10cm
                   zqtr_ice_top(:,:,jl) = zqsr_ice(:,:,jl) * ztri(:,:)
                ELSEWHERE                                                           ! zero when hs>0
-                  zqtr_ice_top(:,:,jl) = 0._wp 
+                  zqtr_ice_top(:,:,jl) = 0._wp
                END WHERE
             ENDDO
@@ -2200,5 +2202,5 @@
             zqtr_ice_top(:,:,:) = 0.3_wp * zqsr_ice(:,:,:)
          ENDIF
-         !     
+         !
       ELSEIF( ln_cndflx .AND. .NOT.ln_cndemulate ) THEN      !==  conduction flux as surface forcing  ==!
          !
@@ -2220,6 +2222,6 @@
       !                                                      ! ================== !
       ! needed by Met Office
-      IF( srcv(jpr_ts_ice)%laction ) THEN 
-         WHERE    ( frcv(jpr_ts_ice)%z3(:,:,:) > 0.0  )   ;   ztsu(:,:,:) =   0. + rt0 
+      IF( srcv(jpr_ts_ice)%laction ) THEN
+         WHERE    ( frcv(jpr_ts_ice)%z3(:,:,:) > 0.0  )   ;   ztsu(:,:,:) =   0. + rt0
          ELSEWHERE( frcv(jpr_ts_ice)%z3(:,:,:) < -60. )   ;   ztsu(:,:,:) = -60. + rt0
          ELSEWHERE                                        ;   ztsu(:,:,:) = frcv(jpr_ts_ice)%z3(:,:,:) + rt0
@@ -2239,6 +2241,6 @@
       !
    END SUBROUTINE sbc_cpl_ice_flx
-   
-   
+
+
    SUBROUTINE sbc_cpl_snd( kt, Kbb, Kmm )
       !!----------------------------------------------------------------------
@@ -2257,5 +2259,5 @@
       REAL(wp) ::   zumax, zvmax
       REAL(wp), DIMENSION(jpi,jpj)     ::   zfr_l, ztmp1, ztmp2, zotx1, zoty1, zotz1, zitx1, zity1, zitz1
-      REAL(wp), DIMENSION(jpi,jpj,jpl) ::   ztmp3, ztmp4   
+      REAL(wp), DIMENSION(jpi,jpj,jpl) ::   ztmp3, ztmp4
       !!----------------------------------------------------------------------
       !
@@ -2268,9 +2270,9 @@
       !                                                      ! ------------------------- !
       IF( ssnd(jps_toce)%laction .OR. ssnd(jps_tice)%laction .OR. ssnd(jps_tmix)%laction ) THEN
-         
+
          IF( nn_components == jp_iam_opa ) THEN
             ztmp1(:,:) = ts(:,:,1,jp_tem,Kmm)   ! send temperature as it is (potential or conservative) -> use of l_useCT on the received part
          ELSE
-            ! we must send the surface potential temperature 
+            ! we must send the surface potential temperature
             IF( l_useCT )  THEN    ;   ztmp1(:,:) = eos_pt_from_ct( ts(:,:,1,jp_tem,Kmm), ts(:,:,1,jp_sal,Kmm) )
             ELSE                   ;   ztmp1(:,:) = ts(:,:,1,jp_tem,Kmm)
@@ -2281,5 +2283,5 @@
             CASE( 'oce and ice'          )   ;   ztmp1(:,:) =   ztmp1(:,:) + rt0
                SELECT CASE( sn_snd_temp%clcat )
-               CASE( 'yes' )   
+               CASE( 'yes' )
                   ztmp3(:,:,1:jpl) = tn_ice(:,:,1:jpl)
                CASE( 'no' )
@@ -2291,7 +2293,7 @@
                CASE default   ;   CALL ctl_stop( 'sbc_cpl_snd: wrong definition of sn_snd_temp%clcat' )
                END SELECT
-            CASE( 'weighted oce and ice' )   ;   ztmp1(:,:) = ( ztmp1(:,:) + rt0 ) * zfr_l(:,:)   
+            CASE( 'weighted oce and ice' )   ;   ztmp1(:,:) = ( ztmp1(:,:) + rt0 ) * zfr_l(:,:)
                SELECT CASE( sn_snd_temp%clcat )
-               CASE( 'yes' )   
+               CASE( 'yes' )
                   ztmp3(:,:,1:jpl) = tn_ice(:,:,1:jpl) * a_i(:,:,1:jpl)
                CASE( 'no' )
@@ -2302,17 +2304,17 @@
                CASE default                  ;   CALL ctl_stop( 'sbc_cpl_snd: wrong definition of sn_snd_temp%clcat' )
                END SELECT
-            CASE( 'oce and weighted ice')    ;   ztmp1(:,:) =   ts(:,:,1,jp_tem,Kmm) + rt0  
-               SELECT CASE( sn_snd_temp%clcat ) 
-               CASE( 'yes' )    
-                  ztmp3(:,:,1:jpl) = tn_ice(:,:,1:jpl) * a_i(:,:,1:jpl) 
-               CASE( 'no' ) 
-                  ztmp3(:,:,:) = 0.0 
-                  DO jl=1,jpl 
-                     ztmp3(:,:,1) = ztmp3(:,:,1) + tn_ice(:,:,jl) * a_i(:,:,jl) 
-                  ENDDO 
-               CASE default                  ;   CALL ctl_stop( 'sbc_cpl_snd: wrong definition of sn_snd_temp%clcat' ) 
-               END SELECT 
-            CASE( 'mixed oce-ice'        )   
-               ztmp1(:,:) = ( ztmp1(:,:) + rt0 ) * zfr_l(:,:) 
+            CASE( 'oce and weighted ice')    ;   ztmp1(:,:) =   ts(:,:,1,jp_tem,Kmm) + rt0
+               SELECT CASE( sn_snd_temp%clcat )
+               CASE( 'yes' )
+                  ztmp3(:,:,1:jpl) = tn_ice(:,:,1:jpl) * a_i(:,:,1:jpl)
+               CASE( 'no' )
+                  ztmp3(:,:,:) = 0.0
+                  DO jl=1,jpl
+                     ztmp3(:,:,1) = ztmp3(:,:,1) + tn_ice(:,:,jl) * a_i(:,:,jl)
+                  ENDDO
+               CASE default                  ;   CALL ctl_stop( 'sbc_cpl_snd: wrong definition of sn_snd_temp%clcat' )
+               END SELECT
+            CASE( 'mixed oce-ice'        )
+               ztmp1(:,:) = ( ztmp1(:,:) + rt0 ) * zfr_l(:,:)
                DO jl=1,jpl
                   ztmp1(:,:) = ztmp1(:,:) + tn_ice(:,:,jl) * a_i(:,:,jl)
@@ -2334,5 +2336,5 @@
          SELECT CASE( sn_snd_ttilyr%cldes)
          CASE ('weighted ice')
-            ztmp3(:,:,1:jpl) = t1_ice(:,:,1:jpl) * a_i(:,:,1:jpl) 
+            ztmp3(:,:,1:jpl) = t1_ice(:,:,1:jpl) * a_i(:,:,1:jpl)
          CASE default                     ;   CALL ctl_stop( 'sbc_cpl_snd: wrong definition of sn_snd_ttilyr%cldes' )
          END SELECT
@@ -2343,9 +2345,9 @@
       !                                                      !           Albedo          !
       !                                                      ! ------------------------- !
-      IF( ssnd(jps_albice)%laction ) THEN                         ! ice 
+      IF( ssnd(jps_albice)%laction ) THEN                         ! ice
           SELECT CASE( sn_snd_alb%cldes )
           CASE( 'ice' )
              SELECT CASE( sn_snd_alb%clcat )
-             CASE( 'yes' )   
+             CASE( 'yes' )
                 ztmp3(:,:,1:jpl) = alb_ice(:,:,1:jpl)
              CASE( 'no' )
@@ -2359,5 +2361,5 @@
           CASE( 'weighted ice' )   ;
              SELECT CASE( sn_snd_alb%clcat )
-             CASE( 'yes' )   
+             CASE( 'yes' )
                 ztmp3(:,:,1:jpl) =  alb_ice(:,:,1:jpl) * a_i(:,:,1:jpl)
              CASE( 'no' )
